include(FetchContent)

if(NOT DEFINED BOOST_LIBRARY_MIRROR)
    set(BOOST_LIBRARY_MIRROR https://github.com/boostorg/boost/releases/download/boost-1.84.0/boost-1.84.0.tar.xz)
endif ()

if (NOT Boost_FOUND)
    set(BOOST_INCLUDE_LIBRARIES regex)
    set(BOOST_ENABLE_CMAKE ON)
    FetchContent_Declare(
        Boost
        URL ${BOOST_LIBRARY_MIRROR}
    )
    FetchContent_MakeAvailable(Boost)
endif()
